Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::PowerMeterController::PanelDeletedEvent Struct Reference

Event:: A panel was deleted. More...

`import <PowerMeterController.idl;`

Inheritance diagram for pdumodel::PowerMeterController::PanelDeletedEvent:

## Public Attributes
Panel::PanelSettings | panelSettings
| Old panel settings.
Public Attributes inherited from pdumodel::PowerMeterController::PowerMeterDeletedEvent
PowerMeter::Config | config
| Old power meter config.
PowerMeter::Settings | settings
| Old power meter settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event:: A panel was deleted.

Definition at line 61 of file PowerMeterController.idl.

## Member Data Documentation

## ◆ panelSettings

Panel::PanelSettings pdumodel::PowerMeterController::PanelDeletedEvent::panelSettings

Old panel settings.

Definition at line 62 of file PowerMeterController.idl.

The documentation for this struct was generated from the following file:

- PowerMeterController.idl